## org.eclipse.datatools.connectivity.drivers.models
Class CategoryDescriptor

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.models.CategoryDescriptor

All Implemented Interfaces:
  java.lang.Comparable

    public class CategoryDescriptor

extends java.lang.Object
implements java.lang.Comparable

Represents a category which is provided by the "org.eclipse.datatools.connectivity.driverExtension" extension point.

Author:
  brianf

Field Summary
`static java.lang.String` `DRIVERTYPE_TAG`

Method Summary
`int` `compareTo(java.lang.Object o)`
`boolean` `equals(java.lang.Object obj)`
`java.util.List` `getAssociatedDriverTypes()` Returns a list of all associated driver types for this category.
`static CategoryDescriptor` `getCategoryDescriptor(java.lang.String id)` Returns a category descriptor matching the id or null.
`static CategoryDescriptor[]` `getCategoryDescriptors()` Returns all contributed categories
`java.util.List` `getChildCategories()` Returns a list of all child categories for this category.
`java.lang.String` `getDescription()` Returns the description.
`org.eclipse.core.runtime.IConfigurationElement` `getElement()` Returns the configuration element.
`java.lang.String` `getId()` Returns the category id.
`java.lang.String` `getName()` Returns the name.
`CategoryDescriptor` `getParent()`
`java.lang.String` `getParentCategory()` Returns the category parent.
`static CategoryDescriptor[]` `getRootCategories()` Returns a list of all root categories (for example those with no parent category).
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DRIVERTYPE_TAG

    public static final java.lang.String DRIVERTYPE_TAG

See Also:
  Constant Field Values

Method Detail

### getCategoryDescriptors

    public static CategoryDescriptor[] getCategoryDescriptors()

  Returns all contributed categories

### getCategoryDescriptor

    public static CategoryDescriptor getCategoryDescriptor(java.lang.String id)

  Returns a category descriptor matching the id or null.

  Parameters:
    `id` -
  Returns:
    CategoryDescriptor

### getRootCategories

    public static CategoryDescriptor[] getRootCategories()

  Returns a list of all root categories (for example those with no parent category).

  Returns:
    CategoryDescriptor[]

### getParent

    public CategoryDescriptor getParent()

  Returns:
    CategoryDescriptor

### getChildCategories

    public java.util.List getChildCategories()

  Returns a list of all child categories for this category.

  Returns:
    List

### getAssociatedDriverTypes

    public java.util.List getAssociatedDriverTypes()

  Returns a list of all associated driver types for this category.

  Returns:
    List

### getId

    public java.lang.String getId()

  Returns the category id.

  Returns:
    String ID

### getParentCategory

    public java.lang.String getParentCategory()

  Returns the category parent.

  Returns:
    String

### getElement

    public org.eclipse.core.runtime.IConfigurationElement getElement()

  Returns the configuration element.

  Returns:
    IConfigurationElement

### getName

    public java.lang.String getName()

  Returns the name.

  Returns:
    String

### getDescription

    public java.lang.String getDescription()

  Returns the description.

  Returns:
    the description or `null` if no description is provided

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`